Bug 368451 - setfacl returns 0 even though it fails
setfacl returns 0 even though it fails
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: acl (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Moskovcak
: 368461 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-11-06 11:15 EST by Jakub Hrozek
Modified: 2015-02-01 17:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-09 03:30:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch (624 bytes, patch)
2007-11-08 09:47 EST, Jiri Moskovcak
no flags Details | Diff

  None (edit)
Description Jakub Hrozek 2007-11-06 11:15:17 EST
Description of problem:
Even if setfacl fails and prints error messages, it returns 0. This is 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. make setfacl fail (I found this during testing of bug 298471)
2. echo $?
Actual results:
$? == 0

Expected results:
$? != 0
Comment 1 Jiri Moskovcak 2007-11-07 07:10:05 EST
*** Bug 368461 has been marked as a duplicate of this bug. ***
Comment 2 Jiri Moskovcak 2007-11-08 09:47:37 EST
Created attachment 251511 [details]
Proposed patch
Comment 3 RHEL Product and Program Management 2007-12-03 15:47:30 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 9 errata-xmlrpc 2009-12-09 03:30:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.